Subject: bug#51891: 29.0.50; [PATCH] Pixel delta support for wheel events on X

From: Eli Zaretskii <[email-masked]>
Date: Fri, 19 Nov 2021 15:09:44 +0200

> From: Po Lu <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 18 Nov 2021 17:17:25 +0800
> 
> >> An amount of scrolling that would previously generate a `mouse-4' or
> >> `mouse-5' event.
> 
> > That doesn't really answer my question.  Let me ask it differently:
> > how does "scroll unit" differ from "every time the wheel is moved"?
> 
> Basically, even tiny movements of the scroll wheel will cause XInput 2
> to generate wheel events.  This makes the behavior stay like the
> original by default, where you have to scroll 96 or so pixels before a
> wheel event is actually sent.  (This is generally true, but certain mice
> may behave differently.)

Then the first sentence should probably be

  Non-nil means send a wheel event only for scrolling at least one screen line.